# DescribeVPCDatacenters

## 1. API Description

This API is used to query data centers supporting VPC service.

## 2. Input Parameters

The following request parameter list only provides API request parameters.

<table><thead><tr><th width="163">Parameter Name</th><th width="112.19391314010794">Required</th><th width="102.8330078125">Type</th><th>Description</th></tr></thead><tbody><tr><td>dcId</td><td>No</td><td>String</td><td>Data center ID.</td></tr><tr><td>regionId</td><td>No</td><td>String</td><td>Region ID.</td></tr></tbody></table>

## 3. Output Parameters

<table><thead><tr><th width="166.146484375">Parameter Name</th><th width="153.65234375">Type</th><th>Description</th></tr></thead><tbody><tr><td>requestId</td><td>String</td><td>The unique request ID, which is returned for each request. RequestId is required for locating a problem.</td></tr><tr><td>dcSet</td><td>Array of <a href="../../datastructure#datacenterinfo">DatacenterInfo</a></td><td>The list of data centers available.</td></tr></tbody></table>

## 4. Code Example

{% tabs %}
{% tab title="Example" %}
**Query data centers supporting VPC service.**

```json
POST /api/v2/sdn HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: DescribeVPCDatacenters
<Common Request Params>

Request: 
{
}

Response: 
{
    "requestId": "TEEFDCA5B-76FB-4E91-A18E-DF7F5D2CE41F",
    "response": {
        "requestId": "TEEFDCA5B-76FB-4E91-A18E-DF7F5D2CE41F",
        "dcSet": [
            {
                "dcId": "822b9bd9-44f0-4279-a64d-568f5bc4a77b",
                "cityName": "Amsterdam",
                "areaName": "Europe",
                "regionId": "AMS2",
                "dcName": "Equinix AM3",
                "latitude": 52.35501600,
                "dcAddress": "Science Park 610, 1098 XH Amsterdam, Netherlands",
                "countryName": "Netherlands",
                "longitude": 4.96093800
            }
        ]
    }
}
```

{% endtab %}
{% endtabs %}

## 5. Developer Resources

Zenlayer Cloud API 2.0 integrates [SDKs](https://docs.console.zenlayer.com/api-reference/api-introduction/toolkit/api-sdk) to make it easier for you to call APIs. More programming languages will be supported.

## 6. Error Codes

No error codes related to the API business logic. For other error codes, see [Common Error Codes](https://docs.console.zenlayer.com/api-reference/api-introduction/instruction/commonerrorcode).​
